Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class XmlBPMNProcessDumper

    java.lang.Object
      org.jbpm.bpmn2.xml.XmlBPMNProcessDumper

    public class XmlBPMNProcessDumper

extends Object

Field Summary
`static XmlBPMNProcessDumper` | `INSTANCE`
`static String` | `JAVA_LANGUAGE`
`static int` | `META_DATA_AS_NODE_PROPERTY`
`static int` | `META_DATA_USING_DI`
`static int` | `NO_META_DATA`
`static String` | `RULE_LANGUAGE`
`static String` | `XPATH_LANGUAGE`

Method Summary
`String` | `dump(WorkflowProcess process)`
`String` | `dump(WorkflowProcess process, boolean includeMeta)`
`String` | `dump(WorkflowProcess process, int metaDataType)`
`int` | `getMetaDataType()`
`static String` | `getUniqueNodeId(Node node)`
`static String` | `replaceIllegalCharsAttribute(String code)`
`void` | `setMetaDataType(int metaDataType)`
`void` | `visitConnection(Connection connection, StringBuilder xmlDump, int metaDataType)`
`protected void` | `visitErrors(Node[] nodes, StringBuilder xmlDump, List<String> errors)`
`protected void` | `visitEscalations(Node[] nodes, StringBuilder xmlDump, List<String> escalations)`
`protected void` | `visitHeader(WorkflowProcess process, StringBuilder xmlDump, int metaDataType)`
`protected void` | `visitInterfaces(Node[] nodes, StringBuilder xmlDump)`
`void` | `visitNode(Node node, StringBuilder xmlDump, int metaDataType)`
`protected void` | `visitProcess(WorkflowProcess process, StringBuilder xmlDump, int metaDataType)`
`static void` | `visitVariables(List<Variable> variables, StringBuilder xmlDump)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVA_LANGUAGE

    public static final String JAVA_LANGUAGE

See Also:
  Constant Field Values

### RULE_LANGUAGE

    public static final String RULE_LANGUAGE

See Also:
  Constant Field Values

### XPATH_LANGUAGE

    public static final String XPATH_LANGUAGE

See Also:
  Constant Field Values

### NO_META_DATA

    public static final int NO_META_DATA

See Also:
  Constant Field Values

### META_DATA_AS_NODE_PROPERTY

    public static final int META_DATA_AS_NODE_PROPERTY

See Also:
  Constant Field Values

### META_DATA_USING_DI

    public static final int META_DATA_USING_DI

See Also:
  Constant Field Values

### INSTANCE

    public static XmlBPMNProcessDumper INSTANCE

Method Detail

### dump

    public String dump(WorkflowProcess process)

### dump

    public String dump(WorkflowProcess process,
                       boolean includeMeta)

### dump

    public String dump(WorkflowProcess process,
                       int metaDataType)

### getMetaDataType

    public int getMetaDataType()

### setMetaDataType

    public void setMetaDataType(int metaDataType)

### visitProcess

    protected void visitProcess(WorkflowProcess process,
                                StringBuilder xmlDump,
                                int metaDataType)

### visitHeader

    protected void visitHeader(WorkflowProcess process,
                               StringBuilder xmlDump,
                               int metaDataType)

### visitVariables

    public static void visitVariables(List<Variable> variables,
                                      StringBuilder xmlDump)

### visitInterfaces

    protected void visitInterfaces(Node[] nodes,
                                   StringBuilder xmlDump)

### visitEscalations

    protected void visitEscalations(Node[] nodes,
                                    StringBuilder xmlDump,
                                    List<String> escalations)

### visitErrors

    protected void visitErrors(Node[] nodes,
                               StringBuilder xmlDump,
                               List<String> errors)

### visitNode

    public void visitNode(Node node,
                          StringBuilder xmlDump,
                          int metaDataType)

### visitConnection

    public void visitConnection(Connection connection,
                                StringBuilder xmlDump,
                                int metaDataType)

### getUniqueNodeId

    public static String getUniqueNodeId(Node node)

### replaceIllegalCharsAttribute

    public static String replaceIllegalCharsAttribute(String code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.